<template>
        <body class="bg-white text-body font-body" style="overflow: visible;overflow-x: hidden;" v-cloak>
        <div class="main">
            
            <Nav/>
            <section class="relative -mt-24 pt-24" style="border-bottom:1px solid #ccc;background-image: url('assets/imgs/illustrations/pattern.jpg');">
                 <div class="hidden lg:block absolute inset-0 w-1/2 ml-auto  z-0" style="z-index: -1;background:#f4f4f4;"></div>
                <div class="container">
                    <div class="flex flex-wrap items-center -mx-3">
                        <div class="w-full lg:w-1/2 px-3">
                            <div class="py-12">
                                <div class="max-w-lg lg:max-w-md mx-auto lg:mx-0 mb-8 text-center lg:text-left">
                                    <h2 class="text-3xl lg:text-4xl mb-4 font-bold font-heading ">{{ $t('easy_contact_1') }} <br /> {{ $t('easy_contact_2') }}</h2>
                                    <p class="text-blueGray-400 leading-relaxed " style="border: 1px solid #ccc;padding: 15px;background: #3c3c3c;">
                                      {{ $t('contact_0') }}
                                    </p>
                  
                                </div>
                               
                            </div>
                        </div>
                        <div class="w-full lg:w-1/2 px-3 lg:bg-blueGray-10 mb-12 lg:mb-0 pb-10">
                            <div class="flex items-center justify-center">
                                <img class="lg:max-w-lg" src="assets/imgs/illustrations/contact.png" alt="" />
                            </div>
                        </div>
                    </div>
                </div>
            </section>

            <Contactform :active="true"/>
            <Footer/>

        
        </div>
        <!-- End .main -->

        <!-- <Loader/> -->

    </body>
</template>

<script>
export default {
  

  name: 'Contact',
   methods: {
        init: function () {

              $(window).on('load', function () {
                  //console.log("ok");
                  $('.preloader').delay(300).fadeOut('slow');
                  $('body').delay(450).css({
                      'overflow': 'visible'
                  });
              });

              var header = $('.sticky-bar');
              var win = $(window);
              win.on('scroll', function () {
                  var scroll = win.scrollTop();
                  if (scroll < 20) {
                      header.removeClass('stick');
                  } else {
                      header.addClass('stick');
                  }
              });

              /*Carausel 2 columns*/
              $(".carausel-2-columns").each(function (key, item) {
                  var id = $(this).attr("id");
                  var sliderID = '#' + id;
                  var appendArrowsClassName = '#' + id + '-arrows'

                  $(sliderID).slick({
                      dots: false,
                      infinite: true,
                      speed: 1000,
                      arrows: true,
                      autoplay: true,
                      slidesToShow: 2,
                      slidesToScroll: 1,
                      loop: true,
                      adaptiveHeight: true,
                      responsive: [
                          {
                              breakpoint: 1025,
                              settings: {
                                  slidesToShow: 2,
                                  slidesToScroll: 2,
                              }
                          },
                          {
                              breakpoint: 480,
                              settings: {
                                  slidesToShow: 1,
                                  slidesToScroll: 1
                              }
                          }
                      ],
                      prevArrow: '<span class="mr-4 text-blue-500 flex"><svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 16l-4-4m0 0l4-4m-4 4h18"></path></svg></span>',
                      nextArrow: '<span class="text-blue-500  flex"><svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17 8l4 4m0 0l-4 4m4-4H3"></path></svg></span>',
                      appendArrows: (appendArrowsClassName),
                  });
              });

              /*Carausel Fade*/
              $('.carausel-fade').each(function (key, item) {
                  var id = $(this).attr("id");
                  var sliderID = '#' + id;
                  var appendArrowsClassName = '#' + id + '-arrows'

                  $(sliderID).slick({
                      slidesToShow: 1,
                      slidesToScroll: 1,
                      fade: true,
                      loop: true,
                      dots: false,
                      arrows: true,
                      prevArrow: '<span class="mr-4 text-blue-500 flex"><svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 16l-4-4m0 0l4-4m-4 4h18"></path></svg></span>',
                      nextArrow: '<span class="text-blue-500  flex"><svg class="w-6 h-6" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M17 8l4 4m0 0l-4 4m4-4H3"></path></svg></span>',
                      appendArrows: (appendArrowsClassName),
                      autoplay: true,
                  });
              });

              /*Carausel Fade has Dots*/
              $('.carausel-fade-2').each(function (key, item) {
                  var id = $(this).attr("id");
                  var sliderID = '#' + id;
                  var appendArrowsClassName = '#' + id + '-arrows'

                  $(sliderID).slick({
                      slidesToShow: 1,
                      slidesToScroll: 1,
                      fade: true,
                      loop: true,
                      dots: true,
                      arrows: false,
                      autoplay: true,
                  });
              });



              /*---------------------
                  Mobile menu active
              ------------------------ */
              var $offCanvasNav = $('.mobile-menu'),
                  $offCanvasNavSubMenu = $offCanvasNav.find('.dropdown');

              /*Add Toggle Button With Off Canvas Sub Menu*/
              $offCanvasNavSubMenu.parent().prepend('<span class="menu-expand">+</span>');

              /*Close Off Canvas Sub Menu*/
              $offCanvasNavSubMenu.slideUp();

              /*Category Sub Menu Toggle*/
              $offCanvasNav.on('click', 'li a, li .menu-expand', function (e) {
                  var $this = $(this);
                  if (($this.parent().attr('class').match(/\b(menu-item-has-children|has-children|has-sub-menu)\b/)) && ($this.attr('href') === '#' || $this.hasClass('menu-expand'))) {
                      e.preventDefault();
                      if ($this.siblings('ul:visible').length) {
                          $this.parent('li').removeClass('active');
                          $this.siblings('ul').slideUp();
                      } else {
                          $this.parent('li').addClass('active');
                          $this.closest('li').siblings('li').removeClass('active').find('li').removeClass('active');
                          $this.closest('li').siblings('li').find('ul:visible').slideUp();
                          $this.siblings('ul').slideDown();
                      }
                  }
              });

              /*------ ScrollUp -------- */
              $.scrollUp({
                  scrollText: '<svg class="w-4 h-4" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M5 10l7-7m0 0l7 7m-7-7v18"></path></svg>',
                  easingType: 'linear',
                  scrollSpeed: 900,
                  animation: 'fade'
              });

              /*------ Wow Active ----*/
              new WOW().init();

              /*---- CounterUp ----*/
              $('.count').counterUp({
                  delay: 10,
                  time: 2000
              });

             
           
        }
  },

  mounted() {
        
      this.init();
    
  },
   head () {
    const i18nHead = this.$nuxtI18nHead({ addSeoAttributes: true })
    return {
      htmlAttrs: {
        myAttribute: 'th',
        ...i18nHead.htmlAttrs
      },
      title : "Contact | "+this.$i18n.t("title") ,
      meta: [
          { hid: 'description',name: 'description', content: this.$i18n.t("desscription")},
            { hid: 'og:title', property: 'og:title', content: this.$i18n.t("title") },
          { hid: 'og:image', property: 'og:image', content:  "https://dee.farm/assets/imgs/logos/dlogo.png" },
          { hid: 'og:image:type', property: 'og:image:type', content:  "image/png" },
          { hid: 'og:image:width', property: 'og:image:width', content:  "1200" },
          { hid: 'og:image:height', property: 'og:image:height', content:  "630" },
          { hid: 'og:type', property: 'og:type', content: "website" },
          { hid: 'og:description', property: 'og:description', content:  this.$i18n.t("desscription") },
          { hid: 'og:url', property: 'og:url', content: "dee.farm" },

          { hid: 'twitter:card', name: 'twitter:card', content: this.$i18n.t("desscription") },
          { hid: 'twitter:site', name: 'twitter:card', content: "dee.farm"},
          { hid: 'twitter:title', name: 'twitter:card', content: this.$i18n.t("title") },
          { hid: 'twitter:description', name: 'twitter:card', content:  this.$i18n.t("desscription") },
          { hid: 'twitter:image', name: 'twitter:card', content:   "https://dee.farm/assets/imgs/logos/dlogo.png"  },
         ...i18nHead.meta
      ],
    }
  },
}
</script>
